Package org.eclipse.mat.hprof

## Class BufferingRafPositionInputStream

- java.lang.Object
- - org.eclipse.mat.hprof.BufferingRafPositionInputStream

All Implemented Interfaces:
  `Closeable`, `DataInput`, `AutoCloseable`, `IPositionInputStream`

    public class BufferingRafPositionInputStream
    extends Object
    implements IPositionInputStream, Closeable, AutoCloseable

### Constructor Summary

Constructors
`BufferingRafPositionInputStream​(File file, long offset, int readLength, long estlen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `mark​(int readLimit)`
`boolean` `markSupported()`
`long` `position()`
`int` `read()`
`int` `read​(byte[] b, int off, int len)`
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`double` `readDouble()`
`float` `readFloat()`
`void` `readFully​(byte[] b)`
`void` `readFully​(byte[] b, int off, int len)`
`long` `readID​(int idSize)`
`int` `readInt()`
`String` `readLine()`
`long` `readLong()`
`short` `readShort()`
`int` `readUnsignedByte()`
`long` `readUnsignedInt()`
`int` `readUnsignedShort()`
`String` `readUTF()`
`void` `reset()`
`void` `seek​(long pos)`
`long` `skip​(long n)`
`int` `skipBytes​(int n)`
`int` `skipBytes​(long n)`
`long` `workPosition()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferingRafPositionInputStream

    public BufferingRafPositionInputStream​(File file,
                                           long offset,
                                           int readLength,
                                           long estlen)
                                    throws IOException

Throws:
  `IOException`

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `IPositionInputStream`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in interface `IPositionInputStream`
Throws:
  `IOException`

#### read

    public int read​(byte[] b,
                    int off,
                    int len)
             throws IOException

Specified by:
  `read` in interface `IPositionInputStream`
Throws:
  `IOException`

#### skip

    public long skip​(long n)
              throws IOException

Specified by:
  `skip` in interface `IPositionInputStream`
Throws:
  `IOException`

#### markSupported

    public boolean markSupported()

Specified by:
  `markSupported` in interface `IPositionInputStream`

#### mark

    public void mark​(int readLimit)

Specified by:
  `mark` in interface `IPositionInputStream`

#### reset

    public void reset()

Specified by:
  `reset` in interface `IPositionInputStream`

#### skipBytes

    public int skipBytes​(long n)
                  throws IOException

Specified by:
  `skipBytes` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readFully

    public void readFully​(byte[] b)
                   throws IOException

Specified by:
  `readFully` in interface `DataInput`
Specified by:
  `readFully` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readFully

    public void readFully​(byte[] b,
                          int off,
                          int len)
                   throws IOException

Specified by:
  `readFully` in interface `DataInput`
Specified by:
  `readFully` in interface `IPositionInputStream`
Throws:
  `IOException`

#### position

    public long position()

Specified by:
  `position` in interface `IPositionInputStream`

#### workPosition

    public long workPosition()

#### readUnsignedByte

    public int readUnsignedByte()
                         throws IOException

Specified by:
  `readUnsignedByte` in interface `DataInput`
Specified by:
  `readUnsignedByte` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readInt

    public int readInt()
                throws IOException

Specified by:
  `readInt` in interface `DataInput`
Specified by:
  `readInt` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readLong

    public long readLong()
                  throws IOException

Specified by:
  `readLong` in interface `DataInput`
Specified by:
  `readLong` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readBoolean

    public boolean readBoolean()
                        throws IOException

Specified by:
  `readBoolean` in interface `DataInput`
Specified by:
  `readBoolean` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readByte

    public byte readByte()
                  throws IOException

Specified by:
  `readByte` in interface `DataInput`
Specified by:
  `readByte` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readChar

    public char readChar()
                  throws IOException

Specified by:
  `readChar` in interface `DataInput`
Specified by:
  `readChar` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readDouble

    public double readDouble()
                      throws IOException

Specified by:
  `readDouble` in interface `DataInput`
Specified by:
  `readDouble` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readFloat

    public float readFloat()
                    throws IOException

Specified by:
  `readFloat` in interface `DataInput`
Specified by:
  `readFloat` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readLine

    public String readLine()
                    throws IOException

Specified by:
  `readLine` in interface `DataInput`
Specified by:
  `readLine` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readShort

    public short readShort()
                    throws IOException

Specified by:
  `readShort` in interface `DataInput`
Specified by:
  `readShort` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readUnsignedShort

    public int readUnsignedShort()
                          throws IOException

Specified by:
  `readUnsignedShort` in interface `DataInput`
Specified by:
  `readUnsignedShort` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readUnsignedInt

    public long readUnsignedInt()
                         throws IOException

Specified by:
  `readUnsignedInt` in interface `IPositionInputStream`
Throws:
  `IOException`

#### skipBytes

    public int skipBytes​(int n)
                  throws IOException

Specified by:
  `skipBytes` in interface `DataInput`
Specified by:
  `skipBytes` in interface `IPositionInputStream`
Throws:
  `IOException`

#### seek

    public void seek​(long pos)
              throws IOException

Specified by:
  `seek` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readUTF

    public String readUTF()
                   throws IOException

Specified by:
  `readUTF` in interface `DataInput`
Specified by:
  `readUTF` in interface `IPositionInputStream`
Throws:
  `IOException`

#### readID

    public long readID​(int idSize)
                throws IOException

Specified by:
  `readID` in interface `IPositionInputStream`
Throws:
  `IOException`